"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_message_center_index_model = require("./model.js");
const INDEX_message_center_index_method = require("./method.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/store/useWorkStore.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const toList = () => {
      common_vendor.index.navigateTo({
        url: "/INDEX/message_center/list/index"
      });
    };
    common_vendor.onLoad(() => {
      var _a;
      (_a = INDEX_message_center_index_method.method) == null ? void 0 : _a.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(INDEX_message_center_index_model.useModel)) == null ? void 0 : _a.items) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2, _c, _d;
          return common_vendor.e({
            a: `/static/svg/${i == null ? void 0 : i.icon}`,
            b: i == null ? void 0 : i.count
          }, (i == null ? void 0 : i.count) ? {
            c: common_vendor.t(i == null ? void 0 : i.count)
          } : {}, {
            d: common_vendor.t(i == null ? void 0 : i.label),
            e: common_vendor.t(((_a2 = i == null ? void 0 : i.des) == null ? void 0 : _a2.created_at) || ""),
            f: (_b2 = i == null ? void 0 : i.des) == null ? void 0 : _b2.title
          }, ((_c = i == null ? void 0 : i.des) == null ? void 0 : _c.title) ? {
            g: common_vendor.t(((_d = i == null ? void 0 : i.des) == null ? void 0 : _d.title) || "暂无消息")
          } : {}, {
            h: `items_${index}`,
            i: common_vendor.o(toList, `items_${index}`)
          });
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/message_center/index/index.vue"]]);
wx.createPage(MiniProgramPage);
